Subject: Re: [bug#67686] [PATCH core-updates v2 4/7] DRAFT gnu: glibc: Update to 2.38.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 10 Dec 2023 11:14:11 +0100

Ludovic Courtès <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> skribis:
>
>>   2. Check cross-compilation.
>
> It’s looking surprisingly good!  With commit
> 5cf6c96ad9ffafccf180ec2d44c740b6999c02ac, I could do:
>
>   guix build hello --target=aarch64-linux-gnu
>
> … which resulted in a working AArch64 binary.

I spoke a bit too fast: the ‘qemu-binfmt’ service was running on the
machine so I didn’t spot a problem that commit
e4013b31266b40dc9cb250c44b2088d3931cb3b3 fixes.

Anyway, from that commit I could cross-build for aarch64-linux-gnu and
i586-gnu (still using glibc 2.37) and both work fine.

Ludo’.